Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update a label

PATCH/inboxes/{inbox_id}/labels/{label_id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
inbox_idstringerforderlich

The inbox ID or its email address, such as support@example.com

label_idstring<uuid>erforderlich

The label ID

Request-Body
application/json
namestring
colorstring
Antworten
200

Label updated

idstring<uuid>erforderlich
namestringerforderlich
colorstringerforderlich

Uppercase #RRGGBB

created_atstringerforderlich
objectstringerforderlich
Erlaubt:inbox_label
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error or a duplicate name

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X PATCH 'https://api.billionsend.com/inboxes/string/labels/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
Antwort
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "color": "string",
  "created_at": "string",
  "object": "inbox_label"
}

War diese Seite hilfreich?